get
https://api.7digital.com/1.2/artist/releases
Get a list of releases by given artist. Releases can be filtered by type.
Example request
GET https://api.7digital.com/1.2/artist/releases?artistid=1&oauth_consumer_key=YOUR_KEY_HERE&country=GB&pagesize=2&usageTypes=download,subscriptionstreaming,adsupportedstreamingExample response
{
"status": "ok",
"version": "1.2",
"schema": "http://api.7digital.com/1.2/static/7digitalAPI.xsd",
"releases": {
"page": 1,
"pageSize": 2,
"totalItems": 59,
"releases": [
{
"id": 809798,
"title": "A Bad Dream",
"version": "",
"type": "Single",
"barcode": "00602527390970",
"year": "2010",
"explicitContent": false,
"artist": {
"id": 1,
"name": "Keane",
"appearsAs": "Keane",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000001_150.jpg",
"slug": "keane",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/008/097/0000809798_50.jpg",
"label": {
"id": 471977,
"name": "(P) 2010 Universal Island Records Ltd. A Universal Music Company."
},
"licensor": {
"id": 1,
"name": "Universal"
},
"popularity": 0,
"duration": 307,
"trackCount": 1,
"download": {
"releaseDate": "2015-11-15T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": 0.99,
"recommendedRetailPrice": 0.99
},
"formats": [
{
"id": 17,
"description": "MP3 320"
}
]
},
{
"id": 9,
"description": "Premium",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": 0.99,
"recommendedRetailPrice": 0.99
},
"formats": [
{
"id": 45,
"description": "FLAC 16-bit 44.1kHz"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
},
"slug": "a-bad-dream-1"
},
{
"id": 470,
"title": "AOL Session",
"version": "",
"type": "Single",
"barcode": "00602498672938",
"year": "2004",
"explicitContent": false,
"artist": {
"id": 1,
"name": "Keane",
"appearsAs": "Keane",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000001_150.jpg",
"slug": "keane",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/004/0000000470_50.jpg",
"label": {
"id": 465499,
"name": "(P) 2004 Universal Island Records Ltd. A Universal Music Company."
},
"licensor": {
"id": 1,
"name": "Universal"
},
"popularity": 0,
"duration": 1404,
"trackCount": 6,
"download": {
"releaseDate": "2015-11-15T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": 3.99,
"recommendedRetailPrice": 3.99
},
"formats": [
{
"id": 17,
"description": "MP3 320"
},
{
"id": 33,
"description": "AAC 320"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
},
"slug": "aol-session"
}
]
}
}For each response data associated with each release, please refer to Release Details.
Specific Error Codes
- HTTP: 1001 - Required parameter artistId is missing. You must supply a value for the artistId parameter.
- HTTP: 1003 - Requested page out of range. You specified a page number which does not exist..

